#!/usr/bin/env python
# -*- coding: utf-8 -*-
"""
   layout_generator.py
   author: Ludwig Reiter <ludwig.reiter@intevation.de>
"""
import sys
from xml.etree.ElementTree import Element, SubElement, tostring
from source_generator import read_stuff, write_source


def add_simple_row(top, name):
    sub = SubElement(SubElement(top, "row"), "col")
    field = SubElement(sub, "field", {"ref": name})
    return field


def generate_the_layout(yaml_config):
    top = Element("snippet", {"id": "autogenerated"})
    for entity in yaml_config:
        add_simple_row(top, entity["Feldname"])
    return tostring(top, "UTF-8")


def main():
    if len(sys.argv) == 1:
        print "Add the filename"
        sys.exit()
    lines = read_stuff(sys.argv[1])
    xml_string = generate_the_layout(lines)
    write_source(xml_string)


if __name__ == "__main__":
    main()
